From 22b08d0f4bf4d1250d5014665e435912d300ae27 Mon Sep 17 00:00:00 2001
From: Nils Philippsen <nils@redhat.com>
Date: Jan 18 2018 16:36:31 +0000
Subject: [PATCH 18/48] make pyflakes complain less


---

diff --git a/modulemd/__init__.py b/modulemd/__init__.py
index 5ece126..f01e89f 100644
--- a/modulemd/__init__.py
+++ b/modulemd/__init__.py
@@ -643,33 +643,33 @@ class ModuleMetadata(object):
             elif type(item) == dict:
                 l_variant.append(ModuleMetadata._variant_dict(item))
             else:
-                raise TypeError ("Cannot convert unknown type")
-        return GLib.Variant('av', l_variant);
+                raise TypeError("Cannot convert unknown type")
+        return GLib.Variant('av', l_variant)
 
     def _variant_dict_values(d):
         if not isinstance(d, dict):
-            raise TypeError ("Only dictionaries are supported for mappings")
+            raise TypeError("Only dictionaries are supported for mappings")
 
         d_variant = dict()
         for k, v in d.items():
             if type(v) == str:
-                d_variant[k] = ModuleMetadata._variant_str(v);
+                d_variant[k] = ModuleMetadata._variant_str(v)
                 pass
             elif type(v) == list:
-                d_variant[k] = ModuleMetadata._variant_list(v);
+                d_variant[k] = ModuleMetadata._variant_list(v)
             elif type(v) == dict:
-                d_variant[k] = ModuleMetadata._variant_dict(v);
+                d_variant[k] = ModuleMetadata._variant_dict(v)
             else:
-                raise TypeError ("Cannot convert unknown type")
+                raise TypeError("Cannot convert unknown type")
         return d_variant
 
     def _variant_dict(d):
         if not isinstance(d, dict):
-            raise TypeError ("Only dictionaries are supported for mappings")
+            raise TypeError("Only dictionaries are supported for mappings")
 
         d_variant = ModuleMetadata._variant_dict_values(d)
 
-        return GLib.Variant('a{sv}', d_variant);
+        return GLib.Variant('a{sv}', d_variant)
 
 
     @xmd.setter
@@ -686,7 +686,7 @@ class ModuleMetadata(object):
         """A dictionary property representing the module profiles."""
         # TODO: return the profiles as a dict of ModuleProfile types
         d = dict()
-        for k,v in self.module.get_profiles().items():
+        for k, v in self.module.get_profiles().items():
             d[k] = ModuleProfile(profile=v, parent=self, name=k)
 
         return d
@@ -701,7 +701,7 @@ class ModuleMetadata(object):
 
         profiles = self.module.get_profiles()
 
-        for k,v in d.items():
+        for k, v in d.items():
             profile = Modulemd.Profile()
             if v.description:
                 profile.set_description(v.description)

